function TmaTimer(timer) {
	
	this.index = -1;
	this.tunerindex = 0;
	this.recmode = 0;
	this.demuxpath = 0;
	this.manualrec = 0;
	this.satindex = 0;
	this.servicetype = 0;
	this.reservationtype = 0;
	this.serviceid = 0;
	this.lcn = 0;
	this.logoid = "";
	this.chname = "";
	this.satname = "";
	this.orgnetid = 0;
	this.duration = 0;
	this.filename = "";
	this.filename_hex = "";
	this.starttime = "";
	this.endtime = "";
	this.pmtid = 0;
	this.isrec = 0;
	this.nameset = 0;
	this.epgmarker = 0;
	this.eventid1 = 0;
	this.eventid2 = 0;
	this.serviceindex = 0;
	this.analoguetype = 0;
	this.icetv = 0;
	
	if (timer) $.extend(true, this, timer);
	
	/**
	 * file name of this timer
	 * 
	 * @returns {String}
	 */
	this.getFilename = function() {

		return (tma.config.utftoppy || !this.filename_hex) ?
				this.filename 
				: tma.decodeHexname(this.filename_hex);

	};
	
	/**
	 * file name of this timer without extension
	 * 
	 * @returns {String}
	 */
	this.getName = function() {

		return tma.removeExtension(this.getFilename());

	};

}
